For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
    • User
    • Geozone
    • Fleets
    • Notifications
      • GETcheckaccount
      • GETgetMessages
      • POSTsetMessages
      • GETgetAllPushNotifications
      • GETunregister-push
      • GETsetViewed
      • GETregister-push
      • GETgetNotifications
      • GETgetDeviceNotifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APINotifications

getDeviceNotifications

||View as Markdown|
GET
https://app.nukio.mx/api/v1/notification/getdevicenotifications/:startTime/:endTime/:deviceID/authorization
GET
/api/v1/notification/getdevicenotifications/:startTime/:endTime/:deviceID/authorization
$curl https://app.nukio.mx/api/v1/notification/getdevicenotifications/0/0/mvaprueb/authorization \
> -H "authorization: <apiKey>"
200Notifications_getDeviceNotifications_example
1{
2 "success": "1",
3 "messages": [],
4 "status_code": "200"
5}
Was this page helpful?
Previous

getNotifications

Next

Overview

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

startTimestringRequired

start time of the events to call on EPOCH (use 0 as wildcard)

endTimestringRequired

end time of the events to call on EPOCH (use 0 as wildcard)

deviceIDstringRequired
Device ID number

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
successstring
messageslist of any
status_codestring